All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
SYSCON: System Configuration

## Overview

The MCUXpresso SDK provides a peripheral clock and power driver for the SYSCON module of MCUXpresso SDK devices. For furter details, see the corresponding chapter.

## Files

file | fsl_syscon.h
file | fsl_syscon.h

## Functions

void | SYSCON_AttachSignal (SYSCON_Type *base, uint32_t index, syscon_connection_t connection)
| Attaches a signal. More...

## Syscon multiplexing connections

enum | syscon_connection_t { kSYSCON_GpioPort0Pin0ToPintsel = 0U + (PINTSEL_ID << SYSCON_SHIFT) }
| SYSCON connections type. More...
#define | PINTSEL_ID 0x178U
| Periphinmux IDs.
#define | SYSCON_SHIFT 20U

## Driver version

#define | FSL_SYSON_DRIVER_VERSION (MAKE_VERSION(2, 0, 1))
| Group syscon driver version for SDK. More...

## Macro Definition Documentation

#define FSL_SYSON_DRIVER_VERSION (MAKE_VERSION(2, 0, 1))

Version 2.0.1.

## Enumeration Type Documentation

enum syscon_connection_t

Enumerator
kSYSCON_GpioPort0Pin0ToPintsel | Pin Interrupt.

## Function Documentation

void SYSCON_AttachSignal | ( | SYSCON_Type * | base,
|  | uint32_t | index,
|  | syscon_connection_t | connection
| ) |  |

This function gates the SYSCON clock.

Parameters

  base | Base address of the SYSCON peripheral.
  index | Destination peripheral to attach the signal to.
  connection | Selects connection.

Return values

  None. |